---
title: Date.UTC()
slug: Web/JavaScript/Reference/Global_Objects/Date/UTC
tags:
  - Date
  - JavaScript
  - Method
  - Reference
---
<div>{{JSRef}}</div>

<p>The <strong><code>Date.UTC()</code></strong> method accepts parameters similar to the {{jsxref("Date")}} constructor, but treats them as UTC. It returns the number of milliseconds since January 1, 1970, 00:00:00 UTC.</p>

<div>{{EmbedInteractiveExample("pages/js/date-utc.html")}}</div>

<div class="hidden">The source for this interactive example is stored in a GitHub repository. If you'd like to contribute to the interactive examples project, please clone <a href="https://github.com/mdn/interactive-examples">https://github.com/mdn/interactive-examples</a> and send us a pull request.</div>

<h2 id="Syntax">Syntax</h2>

<p><strong>Since ECMAScript 2017:</strong></p>

<pre class="syntaxbox notranslate">Date.UTC(<var>year</var>[, <var>month</var>[, <var>day</var>[, <var>hour</var>[, <var>minute</var>[, <var>second</var>[, <var>millisecond</var>]]]]]])</pre>

<p><strong>ECMAScript 2016 and earlier:</strong> <em>(<code><var>month</var></code> used to be required)</em></p>

<pre class="syntaxbox notranslate">Date.UTC(<var>year</var>, <var>month</var>[, <var>day</var>[, <var>hour</var>[, <var>minute</var>[, <var>second</var>[, <var>millisecond</var>]]]]])</pre>

<h3 id="Parameters">Parameters</h3>

<dl>
 <dt><code><var>year</var></code></dt>
 <dd>A full year.</dd>
 <dt><code><var>month</var></code> {{optional_inline}}</dt>
 <dd>An integer between <code>0</code> (January) and <code>11</code> (December) representing the month. Since ECMAScript 2017 it defaults to <code>0</code> if omitted. <em>(Up until ECMAScript 2016, <code><var>month</var></code> was a required parameter. As of ES2017, it no longer is.)</em></dd>
 <dt><code><var>day</var></code> {{optional_inline}}</dt>
 <dd>An integer between <code>1</code> and <code>31</code> representing the day of the month. If omitted, defaults to <code>1</code>.</dd>
 <dt><code><var>hour</var></code> {{optional_inline}}</dt>
 <dd>An integer between <code>0</code> and <code>23</code> representing the hours. If omitted, defaults to <code>0</code>.</dd>
 <dt><code><var>minute</var></code> {{optional_inline}}</dt>
 <dd>An integer between <code>0</code> and <code>59</code> representing the minutes. If omitted, defaults to <code>0</code>.</dd>
 <dt><code><var>second</var></code> {{optional_inline}}</dt>
 <dd>An integer between <code>0</code> and <code>59</code> representing the seconds. If omitted, defaults to <code>0</code>.</dd>
 <dt><code><var>millisecond</var></code> {{optional_inline}}</dt>
 <dd>An integer between <code>0</code> and <code>999</code> representing the milliseconds. If omitted, defaults to <code>0</code>.</dd>
</dl>

<h3 id="Return_value">Return value</h3>

<p>A number representing the number of milliseconds for the given date since January 1, 1970, 00:00:00, UTC.</p>

<h2 id="Description">Description</h2>

<p><code>UTC()</code> takes comma-delimited date and time parameters and returns the number of milliseconds between January 1, 1970, 00:00:00, universal time and the specified date and time.</p>

<p>Years between <code>0</code> and <code>99</code> are converted to a year in the 20<sup>th</sup> century <code>(1900 + year)</code>. For example, <code>95</code> is converted to the year <code>1995</code>.</p>

<p>The <code>UTC()</code> method differs from the {{jsxref("Date")}} constructor in two ways:</p>

<ol>
 <li><code>Date.UTC()</code> uses universal time instead of the local time.</li>
 <li><code>Date.UTC()</code> returns a time value as a number instead of creating a {{jsxref("Date")}} object.</li>
</ol>

<p>If a parameter is outside of the expected range, the <code>UTC()</code> method updates the other parameters to accommodate the value. For example, if <code>15</code> is used for <code><var>month</var></code>, the year will be incremented by 1 <code>(<var>year</var> + 1)</code> and <code>3</code> will be used for the month.</p>

<p><code>UTC()</code> is a static method of {{jsxref("Date")}}, so it's called as <code>Date.UTC()</code> rather than as a method of a {{jsxref("Date")}} instance.</p>

<h2 id="Examples">Examples</h2>

<h3 id="Using_Date.UTC">Using Date.UTC()</h3>

<p>The following statement creates a {{jsxref("Date")}} object with the arguments treated as UTC instead of local:</p>

<pre class="brush:js notranslate">let utcDate = new Date(Date.UTC(2018, 11, 1, 0, 0, 0));
</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{SpecName('ESDraft', '#sec-date.utc', 'Date.UTC')}}</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("javascript.builtins.Date.UTC")}}</p>

<h3 id="Compatibility_notes">Compatibility notes</h3>

<h4 id="Date.UTC_with_fewer_than_two_arguments">Date.UTC() with fewer than two arguments</h4>

<p>When providing less than two arguments to <code>Date.UTC()</code>, ECMAScript 2017 requires that {{jsxref("NaN")}} is returned. Engines that weren't supporting this behavior have been updated (see <a href="https://bugzilla.mozilla.org/show_bug.cgi?id=1050755">bug 1050755</a>, <a href="https://github.com/tc39/ecma262/pull/642">ecma-262 #642</a>).</p>

<pre class="brush: js notranslate">Date.UTC();
Date.UTC(1);

// Safari: NaN
// Chrome/Opera/V8: NaN

// Firefox &lt;54: non-NaN
// Firefox 54+: NaN

// IE: non-NaN
// Edge: NaN
</pre>

<h2 id="See_also">See also</h2>

<ul>
 <li>{{jsxref("Date.parse()")}}</li>
 <li>{{jsxref("Date")}}</li>
</ul>
